.product__img-link {
  display: block;
}

.product__img-outer {
  position: relative;
  text-align: center;
}

.product.carousel-cell {
  padding-top: 15px;
  padding-bottom: 15px;
}

.product__inner {
  border-radius: 10px;
  height: 100%;
  position: relative;
  background-color: #ffffff;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
  transition: box-shadow ease 0.4s;
}
@media (hover: hover) and (pointer: fine) {
  .product__inner:hover {
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
  }
}

.product__name {
  margin-bottom: 0;
  font-family: var(--bs-font-sans-serif);
  word-break: break-word;
}

.product__name-link {
  text-decoration: none;
}

.product__review {
  font-size: 12px;
  align-self: flex-start;
  text-decoration: none !important;
}
.product__review:focus-visible {
  box-shadow: 0 1px 0 0 currentColor;
}
.product__review:last-child {
  margin-bottom: 0;
}
.product__review::after {
  content: "(" attr(data-review-count) ")";
  color: rgba(60, 74, 96, 0.7);
}

.product__reviews-count {
  font-size: 0.75rem;
  color: rgba(60, 74, 96, 0.7);
  display: inline-block;
  align-self: baseline;
}

.product__reviews-avg {
  font-weight: 700;
  align-self: baseline;
}

.product__description-short {
  text-align: justify;
}

.product__main {
  display: flex;
  flex-wrap: wrap;
  position: relative;
  gap: 0.25rem;
  contain: layout;
}

.not-stock__text, .not-buyable__text, .product__cart-login-btn-wrap {
  text-align: left;
  column-gap: 0.5em;
}

.not-stock__text, .not-buyable__text {
  padding: 10px 0;
  font-weight: 400;
  display: flex;
  align-items: center;
  line-height: 1.25;
  color: rgba(60, 74, 96, 0.7);
  font-size: 0.875rem;
}

/* BADGES */
.product__custom-statuses {
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
}

.product__badges {
  display: flex;
  flex-wrap: wrap;
  gap: 0.375rem;
}

.product__main-btn-col {
  flex-grow: 1;
  flex-shrink: 1;
  min-width: 0;
}

.product__cart-input-wrap {
  flex-grow: 1;
}

.product__cart-login-btn {
  line-height: 1.2;
  text-align: left;
}

.product__main-outer {
  margin-top: auto;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  row-gap: 10px;
}

.product__function-btns {
  display: inline-flex;
  justify-content: flex-end;
  gap: 0.5rem;
  align-items: center;
  /*pointer-events: none;*/
}

/* TYPES */
.product__types {
  line-height: 1;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: flex-start;
  gap: 0.375rem;
  width: 100%;
}

.product__type {
  display: inline-flex;
  align-items: baseline;
  flex-wrap: wrap;
  line-height: 1;
  max-width: 100%;
  gap: 0.375rem;
}
.product__type.type--color, .product__type.type--color_text {
  align-items: center;
  gap: 0.125rem;
}
.product__type ~ .product__type {
  margin-top: 0.5rem;
}

.product__type-value {
  padding: 0.125rem;
  border: 1px solid #e3e8ef;
  border-radius: 8px;
  background-color: #f4f6f9;
  color: #3C4A60;
  font-size: 0.75rem;
  font-weight: 700;
  flex-shrink: 0;
  max-width: 100%;
  transition: color 0.2s, background-color 0.2s, border-color 0.2s, box-shadow 0.2s;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none !important;
}
.product__type-value:hover, .product__type-value:focus, .product__type-value:focus-visible {
  border-color: #e3e8ef;
  background-color: #e3e8ef;
}
.type--color .product__type-value, .type--color_text .product__type-value {
  border-color: transparent;
  padding: 3px;
  min-width: auto;
  height: auto;
}
.type--color .product__type-value .product__type-option--color, .type--color_text .product__type-value .product__type-option--color {
  width: 20px;
  height: 20px;
  box-shadow: inset 0 0 0 2px #a5b2c2;
  border-radius: 8px;
  background-color: currentColor;
}
.type--icon .product__type-value, .type--pic .product__type-value, .type--piclink .product__type-value, .type--piclinktext .product__type-value {
  padding: 3px;
}
.type--icon .product__type-value:hover, .type--icon .product__type-value:focus, .type--icon .product__type-value:focus-visible, .type--pic .product__type-value:hover, .type--pic .product__type-value:focus, .type--pic .product__type-value:focus-visible, .type--piclink .product__type-value:hover, .type--piclink .product__type-value:focus, .type--piclink .product__type-value:focus-visible, .type--piclinktext .product__type-value:hover, .type--piclinktext .product__type-value:focus, .type--piclinktext .product__type-value:focus-visible {
  border-color: #3C4A60;
  background-color: transparent;
}
.type--color .product__type-value:hover, .type--color .product__type-value:focus, .type--color .product__type-value:focus-visible, .type--color_text .product__type-value:hover, .type--color_text .product__type-value:focus, .type--color_text .product__type-value:focus-visible, .type--icon .product__type-value:hover, .type--icon .product__type-value:focus, .type--icon .product__type-value:focus-visible {
  border-color: #3C4A60;
  background-color: transparent;
}
.product__type-value.product__type-more {
  background-color: transparent;
  border: none;
  color: inherit;
}

.product__sku {
  font-weight: 500;
  letter-spacing: 0.1em;
  font-size: 0.813rem;
  color: rgba(60, 74, 96, 0.7);
  line-height: 1.25;
  word-break: break-word;
}

.product__price-base-outer {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 0.5em;
}

.product__prices {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  gap: 0.25rem;
}

.product__params {
  line-height: 1.2;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 0.125rem;
}

.product__params-inner {
  white-space: nowrap;
}

.product__param-title-col {
  display: flex;
  justify-content: flex-end;
  align-items: baseline;
}

.product__param-title-tippy {
  font-weight: 600;
}

.product__param-title {
  padding-right: 0.5rem;
  color: rgba(60, 74, 96, 0.7);
  word-break: break-word;
  font-size: 0.875rem;
}
.product__param-title .info-icon {
  vertical-align: middle;
}

.product__param-value {
  font-weight: 500;
  font-size: 0.813rem;
}

.product__param-title, .product__param-value {
  flex: 0 0 auto;
  max-width: 100%;
}

.product__price-login-btn {
  font-size: 0.875em;
  text-align: left;
}
.product__price-login-btn br {
  display: none;
}

.product__price-unit {
  font-size: 0.75rem;
}

.product__prices-wrap {
  position: relative;
  z-index: 1;
}

.product__price-base, .product__price-sale {
  font-size: 1rem;
}

.has-price-sale .product__price-base {
  font-size: 0.75rem;
}

.product__price-sale-start, .product__price-sale-end {
  display: block;
}

.product__price-sale-infos, .product__discount-saving {
  color: #1D3E66;
}

.product__discount-saving__value, .product__discount-saving {
  font-weight: 700;
}

.product-variant {
  margin-bottom: 0.625rem;
}

.product__variants {
  width: 100%;
}
.product__variants .invalid-feedback {
  font-size: 0.75rem;
  margin-top: 0.15em;
}

.product__cart-unit {
  font-size: 0.625rem;
  text-align: left;
  margin-bottom: 0;
  min-width: 50%;
  line-height: 1;
  user-select: none;
}
.is-disabled .product__cart-unit {
  opacity: 0.5;
}

.product__param {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}
.product__param:not(.product__param-type--icon):not(.product__param-type--iconmore) {
  background-color: #f4f6f9;
  border-radius: 8px;
  padding: 0.125rem 0.25rem;
}
.product__param.color .product__param-value, .product__param.color_text .product__param-value {
  display: inline-flex;
  align-items: center;
}
.product__param.iconmore .product__param-value, .product__param.icon .product__param-value {
  display: flex;
  flex-wrap: wrap;
  gap: 0.125rem;
}

.product__param-type--icons, .product__param-type--iconmore {
  display: flex;
  flex-wrap: wrap;
  row-gap: 0.5rem;
  column-gap: 0.5rem;
}

.product__param-type--iconmore {
  display: inline-flex;
}

.product__param-type--iconmore .product__param-value, .product__param-type--icon .product__param-value {
  display: inline-flex;
  flex-wrap: wrap;
  row-gap: 0.5rem;
  column-gap: 0.5rem;
}
.product__param-type--iconmore .page_artdet_product_param_icon, .product__param-type--icon .page_artdet_product_param_icon {
  border: 1px solid #e3e8ef;
  padding: 4px;
  border-radius: 8px;
  font-size: 0.75rem;
  flex-shrink: 0;
  min-width: 1.5rem;
  text-align: center;
  max-width: 100%;
  transition-duration: 0.2s;
  box-sizing: content-box;
}

.product__param-type--color, .product__color {
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.1);
  background-color: currentColor;
  padding: 0;
  height: 1rem;
  width: 1rem;
  flex: 0 0 1rem;
  max-width: 1rem;
  display: inline-flex;
  border-radius: 3px;
}

.product__param-type--color-text {
  margin-left: 0.5rem;
  text-overflow: ellipsis;
  overflow: hidden;
}

.color_text .product__color {
  margin-right: 0.5em;
}

@media (max-width: 991.98px) {
  .product__btn-compare, .product__btn-tooltip {
    display: none;
  }
}